#Tech ALERT: Severe Vulnerability in ALL Wi-Fi Devices

Products that are known to be affected by this at this time include Android, Linux, Apple, Microsoft Windows, Linksys and more. The list of affected vendors is enormous, and vendors including Amazon, Cisco and Netgear are scrambling to release patches to fix this issue.

Read more
%d bloggers like this: